* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --bg-page: rgba(248, 244, 244, 0.75);
    --title: #413B40;
    --primary-dark: #9C398E;
    --primary-medium: #BA6DAF;
    --primary-light: rgba(156, 57, 142, 0.6);
    --default-padding: 0 1rem;
    --secondary: #4A4A4A;
    --tertiary: #C9A180;
    --btn-whatsapp: linear-gradient(to right,
            #BA6DAF 0%,
            #E9C2E3 50%,
            #BA6DAF 100%);
    --border-golden: linear-gradient(135deg, #755627 0%, #E8C568 43%, #a37939 100%) 1;
    --shadow-strong: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    --shadow-light: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

p,
a,
span,
h3,
h4 {
    font-family: "Montserrat", sans-serif;
}

h2 {
    font-size: 1.9rem;
}

h3 {
    font-size: 1.3rem;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.container {
    max-width: 520px;
    margin: 0 auto;
}

.title-container {
    text-align: center;

    h2 {
        color: var(--title);
        font-size: 1.9rem;
        margin-bottom: 5px;
    }

    .desc {
        color: var(--desc);
    }
}


/* Animations */
@keyframes spin {
    from {
        translate: 0;
    }

    to {
        translate: -100%;
    }
}

@keyframes letterAppear {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes reveal {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.letter {
    opacity: 0;
    transform: translateY(20px);
    display: inline-block;
    font-family: inherit;
    font-style: inherit;
    font-weight: inherit;
    color: inherit;
}

.contrast .letter {
    font-style: italic;
}

.letter {
    font-size: 1.6rem;
    font-weight: 600;
    color: var(--title);
    font-family: "Lora", sans-serif !important;
}

.word {
    white-space: nowrap;
}

.animate .letter {
    animation: reveal 0.4s ease forwards;
}


.fade-up {
    transform: translateY(40px);
    opacity: 0;
    transition: opacity 0.6s ease, transform 0.6s ease;
}

.fade-up.is-visible {
    opacity: 1;
    transform: translateY(0);
}


#catalog {
    max-width: 520px;
    width: 100%;
    position: fixed;
    top: 0; left: 50%;
    z-index: 99;
    background: #FFFFFF url('../assets/catalog-bg.png');
    background-size: cover;
    height: 100dvh;
    overflow-y: auto;
    transform: translateX(820px);
    transition: transform 0.8s ease;

    .content {
        position: relative;
        z-index: 21;
        padding: 0 1rem 2rem;

        .back {
            position: absolute;
            top: 10px;
            left: 10px;
            background: none;
            border: none;
            cursor: pointer;
        }

        .text-container {
            text-align: center;
            padding-top: 3rem;

            h2 {
                font-family: "Cormorant Garamond", sans-serif;
                font-style: italic;
                color: #0F172A;
                font-weight: 800;
                margin-bottom: 4px;
            }

            p {
                color: var(--secondary);
            }
        }

        .navigation {
            background: #FFFFFF;
            max-width: 420px;
            width: 100%;
            margin: 2rem auto 3rem;
            padding: 6px;
            border-radius: 30px;
            position: sticky;
            top: 0; left: 0;
            z-index: 8;
            box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
            overflow-x: auto;
            scrollbar-width: none;

            ul {
                display: flex;
                justify-content: space-between;
                align-items: center;
                gap: 8px;

                li {
                    flex-basis: 50%;
                    display: inline-block;
                    padding: 8px;
                    width: 100%;
                    text-align: center;
                    border-radius: 30px;
                    color: #6B6B6B;
                    font-weight: 500;
                    font-family: "Montserrat", sans-serif;
                    cursor: pointer;
                    text-wrap: nowrap;
                }

                li.active {
                    background: var(--primary-medium);
                    color: #FFFFFF;
                    font-weight: 400;
                }
            }
        }

        .services {

            .service {
                display: flex;
                align-items: center;
                background: #FFFFFF;
                padding: 12px 10px;
                gap: 10px;
                border-radius: 20px;
                box-shadow: var(--shadow-light);
                margin: 1.2rem 0;

                img {
                    width: 80px;
                    height: 80px;
                    object-fit: cover;
                    object-position: center;
                    border-radius: 50%;
                    border: 2px solid rgba(207, 161, 23, .6);
                }

                .info {
                    display: flex;
                    flex-direction: column;
                    width: 100%;

                    h3 {
                        font-family: "Cormorant Garamond", serif;
                        font-size: 1.4rem;
                        color: #2D2D2D;
                    }

                    p {
                        color: #64748B;
                        font-size: 0.8rem;
                        font-weight: 500;
                        margin: 8px 0 12px;
                        line-height: 1.4;
                        -webkit-hyphens: auto;
                        -ms-hyphens: auto;
                        hyphens: auto;
                    }

                    .cta-whatsapp {
                        display: block;
                        color: #CFA117;
                        font-weight: 500;
                        font-size: 0.8rem;
                        padding: 8px 18px;
                        background: #FEF1CC;
                        border-radius: 30px;
                        width: max-content;
                    }
                }

            }
        }

        .harmonization-section,
        .dentistry-section {
            max-height: 0;
            opacity: 0;
            transform: translateY(30px);
            transition: opacity 0.4s ease, transform 0.4s ease;
        }

        .harmonization-section.active,
        .dentistry-section.active {
            max-height: 1200px;
            opacity: 1;
            transform: translateY(0);
        }

        .cta-block {
            margin: 3rem 0 0;
            background: #FBF1EE;
            padding: 2rem;
            border: 1px solid #FFE3DA;
            border-radius: 12px;
            text-align: center;
            box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2);
            position: relative;
            z-index: 20;

            h2 {
                font-family: "Montserrat", sans-serif;
                font-size: 1.2rem;
                font-weight: 600;
            }

            p {
                color: #8C7E7A;
                margin: 1rem 0;
            }

            .cta-whatsapp {
                background: #C9A180;
                color: #FFFFFF;
                font-weight: 600;
                padding: 10px;
                width: 100%;
                display: block;
                border-radius: 12px;
                box-shadow: var(--shadow-strong);
                cursor: pointer;
            }
        }
    }
}

#catalog.opened {
    transform: translateX(-50%);
}

/* Hero Section */
.hero {
    position: relative;
    width: 100%;
    z-index: 4;

    .hero-image {
        position: relative;
        z-index: 4;

        img {
            width: 100%;
        }
    }

    .hero-content {
        position: relative;
        z-index: 5;

        .headline {
            text-align: center;
            margin-top: -50px;
            position: absolute;
            width: 100%; left: 50%;
            transform: translateX(-50%);
            padding: 0 24px;

            h1 {
                font-weight: 600;
                color: var(--title);
                font-family: "Lora", sans-serif;
                line-height: 1.3;
            }

            .contrast {
                font-family: "Lora", sans-serif;
                color: var(--primary-dark);
                font-style: italic;
                font-weight: 600;
                display: block;
            }

            .subtitle {
                color: var(--secondary);
                margin: 1rem 0;
                line-height: 1.3;
            }

            .cta-buttons {

                a,
                button {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    gap: 6px;
                    width: 100%;
                    border-radius: 30px;
                    max-width: 320px;
                    margin: 0 auto;
                    box-shadow: var(--shadow-light);
                }

                .cta-whatsapp {
                    background: var(--btn-whatsapp);
                    color: #FFFFFF;
                    padding: 8px;
                    margin-bottom: 10px;
                }

                .cta-services {
                    color: #000;
                    border: 1px solid rgba(124, 106, 110, 0.4);
                    padding: 12px;
                    cursor: pointer;
                    background: none;
                    font-family: "Montserrat", sans-serif;
                    font-size: 1rem;
                }
            }
        }
    }

    .initial-info {
        top: 0;
        left: 0;
        position: absolute;
        top: 15px;
        left: 50%;
        transform: translateX(-50%);
        z-index: 5;
        text-align: center;
        width: 100%;

        h2,
        p {
            font-family: "Cormorant Garamond", serif;
            font-style: italic;
            font-weight: 700;
        }

        h2 {
            color: var(--title);
            font-size: 2rem;
        }

        p {
            color: var(--primary-light);
            font-size: 1.2rem;
            margin-top: -4px;
            margin-left: 120px;
        }
    }
}


#all-content {
    width: 100%;
    background: #F8F4F4 url('../assets/texture-bg.webp') repeat-y center top;
    background-size: 100% auto;
    position: relative;
    z-index: 3;
    margin: -10px 0 0;
    overflow: hidden;

    >section {
        position: relative;
        z-index: 3;
    }

    #transformations {
        padding: 280px 0 0;

        .cards {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: var(--default-padding);

            .card {
                width: 320px;
                margin: 2rem auto;
                background: #FFFFFF;
                padding: 1.5rem 1rem;
                border-radius: 20px;
                box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;

                .card-image {
                    max-width: 280px;
                    max-height: 90vh;
                    overflow: hidden;
                    position: relative;
                    border-radius: 20px;
                    display: flex;
                    margin-bottom: 1rem;
                    border: 2px solid #FFFFFF;
                    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;

                    .image {
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        object-position: left;
                    }

                    .img-before {
                        position: absolute;
                        inset: 0;
                        width: 50%;
                        z-index: 3;
                    }

                    .control-before {
                        position: absolute;
                        z-index: 3;
                        inset: 0;
                        opacity: 0;
                        cursor: pointer;
                    }

                    .control-before::-webkit-slider-thumb {
                        -webkit-appearance: none;
                        width: 40px; height: 40px;
                        border-radius: 50%;
                        background: white;
                        cursor: pointer;
                    }

                    .slider {
                        position: absolute;
                        inset: 0;
                        z-index: 3;
                        pointer-events: none;

                        .slider-bar {
                            width: 2px;
                            height: 100%;
                            background: #FFFFFF;
                            position: absolute;
                            inset: 0;
                            left: 50%;
                            transform: translateX(-50%);
                        }

                        .slider-icon {
                            position: absolute;
                            width: 32px;
                            aspect-ratio: 1/1;
                            background: #FFFFFF;
                            z-index: 4;
                            left: 50%; top: 50%;
                            transform: translate(-50%, -50%);
                            border-radius: 50%;

                            display: flex;
                            align-items: center;
                            justify-content: center;

                            img {
                                width: 22px;
                            }
                        }
                    }

                    .warning {
                        position: absolute;
                        z-index: 11;
                        bottom: 1rem;
                        left: 50%;
                        transform: translateX(-50%);
                        width: 80%;
                        text-align: center;
                        text-transform: uppercase;
                        color: #FFF;
                        background: rgba(0, 0, 0, 0.4);
                        backdrop-filter: blur(6px);
                        padding: 8px;
                        border-radius: 30px;
                        letter-spacing: 1px;
                        font-size: 0.7em;
                        transition: opacity 0.4s ease;
                    }
                }

                .card-info {
                    display: flex;
                    flex-direction: column;
                    gap: 14px;
                    height: 150px;
                    overflow: hidden;
                    position: relative;
                    transition: height 0.3s ease;

                    .small {
                        display: flex;
                        align-items: center;
                        gap: 6px;

                        p {
                            color: var(--tertiary);
                            text-transform: uppercase;
                            font-size: 0.8rem;
                            font-weight: 500;
                        }
                    }

                    .desc {
                        color: var(--secondary);
                        line-height: 1.4;
                    }

                    .benefits {
                        display: flex;
                        flex-direction: column;
                        gap: 8px;
                        margin: 10px 0;

                        li {
                            display: flex;
                            align-items: center;
                            gap: 10px;

                            span {
                                color: var(--secondary);
                                font-weight: 500;
                            }
                        }
                    }
                }

                .card-info::before {
                    content: '';
                    position: absolute;
                    left: 0; bottom: -16px;
                    width: 100%; height: 100%;
                    background: linear-gradient(to top, rgba(255, 255, 255), rgba(255, 255, 255, 0));
                }

                .card-info.expanded::before {
                    display: none;
                }

                .see-more {
                    color: var(--primary-medium);
                    font-weight: 600;
                    margin: 1em 0;
                    cursor: pointer;
                }

                .cta-whatsapp {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    gap: 6px;
                    background: var(--primary-medium);
                    font-size: 1em;
                    padding: 14px 20px;
                    color: #FFFFFF;
                    font-weight: 500;
                    text-align: center;
                    border-radius: 8px;
                    margin-top: 1em;
                }

            }
        }
    }

    #more-results {
        margin: 3rem 0;

        .desc {
            width: 80%;
            margin: 8px auto;
        }

        .carousel {
            width: 100%;
            margin: 3rem auto;
            display: flex;
            overflow-x: auto;
            gap: 1em;
            position: relative;

            .testimonials-results {
                display: flex;
                align-items: center;
                justify-content: center;
                gap: 1em;
                animation: spin 5s infinite linear;

                .card {
                    width: 240px;
                    border: 5px solid transparent;
                    border-radius: 12px;
                    background:
                        linear-gradient(white, white) padding-box,
                        linear-gradient(135deg, #755627 0%, #E8C568 43%, #a37939 100%) border-box;
                    padding: 10px;

                    .card-image {
                        position: relative;

                        .result {
                            width: 100%;
                            height: 220px;
                            object-fit: cover;
                            object-position: center;
                            border-radius: 20px;
                        }

                        .rating {
                            max-width: 120px;
                            margin: 0 auto;
                            background: #FFF;
                            padding: 4px 8px;
                            position: absolute;
                            bottom: -5px;
                            left: 50%;
                            transform: translateX(-50%);
                            border-radius: 60px;
                            font-family: "Montserrat", sans-serif;

                            display: flex;

                            img {
                                width: 18px;
                            }
                        }
                    }

                    .info {
                        margin: 1rem 0 0;
                        text-align: center;
                        font-size: 0.8em;

                        p {
                            color: var(--secondary);
                        }

                        h4 {
                            margin-top: 1rem;
                        }
                    }


                }
            }
        }

        .carousel::-webkit-scrollbar {
            display: none;
        }

        .carousel::before {
            content: '';
            position: absolute;
            inset: 0;

            background: linear-gradient(to right, #F8F4F4 0%, rgba(248, 244, 244, 0) 30%, rgba(248, 244, 244, 0) 60%, #F8F4F4 100%);
            z-index: 4;
        }
    }

}

#all-content::before {
    content: '';
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 3;

    background: linear-gradient(to bottom,
            rgba(248, 244, 244, 1) 0%,
            rgba(248, 244, 244, 0.75) 15%,
            rgba(248, 244, 244, 0.75) 85%,
            rgba(248, 244, 244, 1) 100%);
}


.cta-button {
    margin: 5rem 0 10rem;

    .cta-view-services {
        background: var(--primary-medium);
        padding: 12px;
        border-radius: 30px;
        color: #FFFFFF;
        font-weight: 500;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 230px;
        margin: 0 auto;
        gap: 8px;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.25);
        font-family: "Montserrat", serif;
        font-size: 1rem;
        border: none;
        cursor: pointer;
    }
}

#indicated {
    width: 100%;
    min-height: 100vh;
    max-width: 520px;
    position: absolute;
    padding: 1rem 0;
    z-index: 4 !important;

    background-image: url('../assets/bg-indicated-section.webp');
    background-size: cover;
    background-position: center;

    .wave-img-top,
    .wave-img-bottom {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        min-width: 624px;
        width: 100%;
        height: auto;
        z-index: 1;
    }

    .wave-img-top {
        top: -80px;
    }

    .wave-img-bottom {
        bottom: -80px;
    }

    .ghost-image {
        position: absolute;
        top: 0;
        right: -100px;
        z-index: 2;
        width: 320px;
    }


    .content {
        position: relative;
        z-index: 3;
        min-height: 100vh;
        padding: 0 1rem;

        .title {
            margin: 5rem 0 0;

            h2,
            span {
                font-family: "Lora", serif;
                font-size: 2rem;
                font-weight: 800;
            }

            .contrast {
                color: var(--primary-dark);
                display: block;
            }
        }

        .benefits-container {
            background: #FFFFFF;
            max-width: 380px;
            min-height: 100vh;
            margin: 8rem auto 0;
            display: flex;
            flex-direction: column;
            padding: 2rem 1rem;
            gap: 2rem;
            box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;

            border: 4px solid transparent;
            border-radius: 12px;
            background:
                linear-gradient(white, white) padding-box,
                linear-gradient(135deg, #755627 0%, #E8C568 43%, #a37939 100%) border-box;


            .card-benefit {
                display: flex;
                align-items: center;
                gap: 8px;

                img {
                    width: 130px;
                }

                p {
                    line-height: 1.3;
                }
            }
        }

        .cta-whatsapp {
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 4px;
            max-width: 280px;
            padding: 12px;
            background: var(--btn-whatsapp);
            color: #FFFFFF;
            text-transform: uppercase;
            font-weight: 500;
            border-radius: 30px;
            font-size: 0.9rem;
            margin: 3rem auto 2rem;
        }
    }
}

#about-us {
    width: 100%;
    min-height: 50vh;
    margin: 20rem 0 0;
    position: relative;

    .waves {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        min-width: 520px;
        width: 100%;
        height: auto;
        z-index: 2;
    }

    .waves.top {
        top: -318px;
    }

    .perfil {
        position: absolute;
        top: -180px;
        left: 50%;
        transform: translateX(-50%);
        z-index: 4;

        img {
            border-radius: 50%;
            border: 2px solid #FFFFFF;
            box-shadow: var(--shadow-strong);
        }
    }

    .center-content {
        background: #F3EFF0;
        width: 100%;
        min-height: 80vh;
        padding: 3rem 1rem;
        position: relative;
        z-index: 3;

        .info {
            font-family: "Montserrat", sans-serif;
            display: flex;
            flex-direction: column;
            gap: 1rem;

            .title {
                text-transform: uppercase;
                color: var(--primary-medium);
                font-weight: 500;
            }

            h2,
            .contrast {
                font-family: "Lora", sans-serif;
                font-weight: 500;
                font-size: 1.6rem;
                line-height: 1.2;
                color: #020202;
            }

            .contrast {
                color: var(--primary-medium);
            }

            p {
                line-height: 1.4;
                color: var(--secondary);
            }

            .phase {
                color: #000;
                font-weight: 500;
            }

            .cta-whatsapp {
                display: flex;
                align-items: center;
                justify-content: center;
                gap: 4px;
                background: var(--primary-medium);
                color: #FFFFFF;
                padding: 8px;
                border-radius: 30px;
                max-width: 180px;
            }

        }
    }
}

#cta-view-services {
    width: 100%;
    min-height: 50vh;
    background-image: url('../assets/bg-vservice.webp');
    position: absolute;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;

    padding: 2rem 1rem;
    text-align: center;

    h2,
    .contrast {
        font-family: "Lora", sans-serif;
        font-weight: 600;
    }

    .contrast {
        color: var(--tertiary);
        font-style: italic;
    }

    p {
        color: var(--secondary);
        line-height: 1.3;
    }

    .view-treatments {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 8px;
        color: #FFFFFF;
        background: #2D2D2D;
        padding: 14px 3rem;
        border-radius: 30px;
        box-shadow: var(--shadow-light);
        font-size: 1rem;
        border: none;
        cursor: pointer;

        img {
            width: 20px;
        }
    }
}


#FAQ {
    margin: 4rem 0;

    h2 {
        margin-bottom: 2rem;
    }

    .questions {
        padding: 0 2rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 1rem;

        .card {
            background: #ffe1fb;
            border: 2px solid #ffbcf5;
            padding: 1rem;
            cursor: pointer;
            border-radius: 12px;

            .quest {
                display: flex;
                align-items: center;
                justify-content: space-between;
                gap: 10px;

                p {
                    font-weight: 600;
                    line-height: 1.4;
                    margin: 0;
                }

                svg {
                    width: 22px;
                    transition: transform 0.3s ease;
                }
            }

            .response {
                max-height: 0;
                overflow: hidden;
                transition: max-height 0.3s ease;

                p {
                    padding-top: 1rem;
                    margin: 0;
                    line-height: 1.3;
                }
            }
        }

        .card.is-open {
            box-shadow: rgba(186, 109, 175, .8) 0px 8px 24px;

            .more svg {
                transform: rotate(180deg);
            }
        }
    }
}


#cta {
    margin: 0 0 2rem;

    .title {
        background: var(--primary-medium);
        text-align: center;

        h2:first-child,
        .contrast {
            font-family: "Cormorant Garamond", sans-serif;
            color: #FFFFFF;
            font-size: 2.2rem;
            padding: 8px;
            line-height: 1;
        }

        .contrast {
            color: #E4BC9B;
            font-style: italic;
            display: block;
        }
    }

    .img-professional-cta {
        width: 100%;
        position: relative;
        z-index: 3;
        margin-top: -20px;
    }

    .text {
        text-align: center;
        text-transform: uppercase;
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 0 1rem;

        h2 {
            color: #333333;
            font-weight: 600;
            font-size: 1.4rem;
        }

        p {
            color: var(--secondary);
            font-size: .9rem;
            line-height: 1.4;
        }

        .cta-whatsapp {
            background: var(--btn-whatsapp);
            padding: 8px 18px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 4px;
            color: #FFFFFF;
            max-width: 320px;
            margin: 0 auto;
            border-radius: 30px;
        }

        .view-services {
            color: var(--secondary);
            display: flex;
            align-items: center;
            justify-content: center;
            text-transform: initial;
            font-size: 1rem;
            gap: 4px;
            background: none;
            border: none;
            cursor: pointer;
        }
    }

}

.whatsapp-fixed-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 20;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #25D366;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease;
    animation: pulse 2s infinite;
}

.whatsapp-fixed-btn:hover {
    transform: scale(1.1);
}

.whatsapp-icon {
    width: 60%;
    height: 60%;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
    }

    70% {
        box-shadow: 0 0 0 15px rgba(37, 211, 102, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
    }
}

@media (max-width: 460px) {
    .hero {
        .initial-info {
            top: 8px;

            img {
                width: 28px;
            }

            h2 {
                color: var(--title);
                font-size: 1.8rem;
            }

            p {
                color: var(--primary-light);
                margin-top: -4px;
                margin-left: 120px;
            }
        }


        .hero-content {

            .headline {
                h1 {
                    font-size: 1.7rem;
                }
            }
        }
    }

}

@media (max-width: 375px) {
    .hero {
        .hero-content {

            .headline {
                h1 {
                    font-size: 1.6rem;
                }
            }
        }
    }
}